<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KServiceGroup</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>KServiceGroup Class Reference</h1>
<code>from PyKDE4.kdecore import *</code>
<p>
Inherits: <a href="../kdecore/KSycocaEntry.html">KSycocaEntry</a><br />


<h2>Detailed Description</h2>

<p>KServiceGroup represents a group of service, for example
screensavers.
This class is typically used like this:
</p>
<p>
<pre class="fragment">
 // Lookup screensaver group
 KServiceGroup.Ptr group = KServiceGroup.baseGroup("screensavers");
 if (!group || !group-&gt;isValid()) return;

 KServiceGroup.List list = group-&gt;entries();

 // Iterate over all entries in the group
 for( KServiceGroup.List.ConstIterator it = list.begin();
      it != list.end(); it++)
 {
    KSycocaEntry *p = (*it);
    if (p-&gt;isType(KST_KService))
    {
       KService *s = static_cast&lt;KService *&gt;(p);
       printf("Name = %s\n", s-&gt;name().toLatin1());
    }
    else if (p-&gt;isType(KST_KServiceGroup))
    {
       KServiceGroup *g = static_cast&lt;KServiceGroup *&gt;(p);
       // Sub group ...
    }
 }
</pre>
Represents a group of services
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj189780716">EntriesOption</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;NoOptions, SortEntries, ExcludeNoDisplay, AllowSeparators, SortByGenericName&nbsp;}<br><i>Typesafe wrapper:</i> EntriesOptions</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj173457036">__init__</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj168452844">__init__</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> _fullpath, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> _relpath)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj177913452">__init__</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdatastream.html">QDataStream</a> _str, int offset, bool deep)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181739308">addEntry</a> (self, KSycocaEntry.Ptr entry)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj179329836">allowInline</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181605548">baseGroupName</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj177980364">caption</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180210700">childCount</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj177974924">comment</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181605356">directoryEntryPath</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KSycocaEntry.List&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj178743244">entries</a> (self, bool sorted, bool excludeNoDisplay, bool allowSeparators, bool sortByGenericName=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KSycocaEntry.List&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189782796">entries</a> (self, bool sorted, bool excludeNoDisplay)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KSycocaEntry.List&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181437452">entries</a> (self, bool sorted=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">[KServiceGroup::Ptr]&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181437612">groupEntries</a> (self, KServiceGroup.EntriesOptions options=KServiceGroup.ExcludeNoDisplay)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj177981004">icon</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj179388844">inlineAlias</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj178871980">inlineValue</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181495980">layoutInfo</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj177981100">noDisplay</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj177979948">relPath</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KService.List&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181580204">serviceEntries</a> (self, KServiceGroup.EntriesOptions options=KServiceGroup.ExcludeNoDisplay)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181482924">setAllowInline</a> (self, bool _b)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj179391788">setInlineAlias</a> (self, bool _b)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj178871884">setInlineValue</a> (self, int _val)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189135404">setLayoutInfo</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> layout)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj177983212">setShowEmptyMenu</a> (self, bool b)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj178829548">setShowInlineHeader</a> (self, bool _b)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj177974508">showEmptyMenu</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj178827724">showInlineHeader</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184719820">suppressGenericNames</a> (self)</td></tr>
<tr><td colspan="2"><br><h2>Static Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KServiceGroup.Ptr&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181607820">baseGroup</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> baseGroupName)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KServiceGroup.Ptr&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181361868">childGroup</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> parent)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KServiceGroup.Ptr&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181359820">group</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> relPath)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KServiceGroup.Ptr&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181362028">root</a> ()</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj173457036"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Construct a dummy servicegroup indexed with <b>name.</b>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>name</em>&nbsp;</td><td> the name of the service group
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj168452844"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>_fullpath</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>_relpath</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Construct a service and take all information from a config file
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>_fullpath</em>&nbsp;</td><td> full path to the config file

<tr><td></td><td valign="top"><em>_relpath</em>&nbsp;</td><td> relative path to the config file
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj177913452"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdatastream.html">QDataStream</a>&nbsp;</td>
<td class="paramname"><em>_str</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>offset</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>deep</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd> construct a service from a stream.
The stream must already be positionned at the correct offset
</dd></dl>
</p></div></div><a class="anchor" name="obj181739308"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> addEntry</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KSycocaEntry.Ptr&nbsp;</td>
<td class="paramname"><em>entry</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd>
Add a service to this group
</dd></dl>
</p></div></div><a class="anchor" name="obj179329836"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool allowInline</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> true if we allow to inline menu.
</dd></dl>
</p></div></div><a class="anchor" name="obj181607820"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KServiceGroup.Ptr baseGroup</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>baseGroupName</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns the group for the given baseGroupName.
Can return 0 if the directory (or the .directory file) was deleted.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the base group with the given name, or 0 if not available.
</dd></dl>
</p></div></div><a class="anchor" name="obj181605548"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> baseGroupName</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns a non-empty string if the group is a special base group.
By default, "Settings/" is the kcontrol base group ("settings")
and "System/Screensavers/" is the screensavers base group ("screensavers").
This allows moving the groups without breaking those apps.
</p>
<p>
The base group is defined by the X-KDE-BaseGroup key
in the .directory file.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the base group name, or null if no base group
</dd></dl>
</p></div></div><a class="anchor" name="obj177980364"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> caption</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the caption of this group.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the caption of this group
</dd></dl>
</p></div></div><a class="anchor" name="obj180210700"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int childCount</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the total number of displayable services in this group and
any of its subgroups.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the number of child services
</dd></dl>
</p></div></div><a class="anchor" name="obj181361868"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KServiceGroup.Ptr childGroup</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>parent</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns the group of services that have X-KDE-ParentApp equal
to <b>parent</b> (siblings).
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>parent</em>&nbsp;</td><td> the name of the service's parent
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the services group
</dd></dl>
</p></div></div><a class="anchor" name="obj177974924"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> comment</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the comment about this service group.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the descriptive comment for the group, if there is one,
or QString() if not set
</dd></dl>
</p></div></div><a class="anchor" name="obj181605356"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> directoryEntryPath</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns a path to the .directory file describing this service group.
The path is either absolute or relative to the "apps" resource.
</p></div></div><a class="anchor" name="obj178743244"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KSycocaEntry.List entries</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>sorted</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>excludeNoDisplay</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>allowSeparators</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>sortByGenericName=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>List of all Services and ServiceGroups within this
ServiceGroup.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>sorted</em>&nbsp;</td><td> true to sort items

<tr><td></td><td valign="top"><em>excludeNoDisplay</em>&nbsp;</td><td> true to exclude items marked "NoDisplay"

<tr><td></td><td valign="top"><em>allowSeparators</em>&nbsp;</td><td> true to allow separator items to be included

<tr><td></td><td valign="top"><em>sortByGenericName</em>&nbsp;</td><td> true to sort GenericName+Name instead of Name+GenericName
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the list of entries
</dd></dl>
</p></div></div><a class="anchor" name="obj189782796"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KSycocaEntry.List entries</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>sorted</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>excludeNoDisplay</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj181437452"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KSycocaEntry.List entries</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>sorted=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>List of all Services and ServiceGroups within this
ServiceGroup.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>sorted</em>&nbsp;</td><td> true to sort items
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the list of entried
</dd></dl>
</p></div></div><a class="anchor" name="obj181359820"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KServiceGroup.Ptr group</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>relPath</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns the group with the given relative path.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>relPath</em>&nbsp;</td><td> the path of the service group
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the group with the given relative path name.
</dd></dl>
</p></div></div><a class="anchor" name="obj181437612"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">[KServiceGroup::Ptr] groupEntries</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KServiceGroup.EntriesOptions&nbsp;</td>
<td class="paramname"><em>options=KServiceGroup.ExcludeNoDisplay</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>subgroups for this service group
</p></div></div><a class="anchor" name="obj177981004"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> icon</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the name of the icon associated with the group.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the name of the icon associated with the group,
or QString() if not set
</dd></dl>
</p></div></div><a class="anchor" name="obj179388844"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool inlineAlias</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> true to show an inline alias item into menu
</dd></dl>
</p></div></div><a class="anchor" name="obj178871980"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int inlineValue</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> inline limite value
</dd></dl>
</p></div></div><a class="anchor" name="obj181495980"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> layoutInfo</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd>
Returns information related to the layout of services in this group.
</dd></dl>
</p></div></div><a class="anchor" name="obj177981100"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool noDisplay</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns true if the NoDisplay flag was set, i.e. if this
group should be hidden from menus, while still being in ksycoca.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> true to hide this service group, false to display it
</dd></dl>
</p></div></div><a class="anchor" name="obj177979948"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> relPath</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the relative path of the service group.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the service group's relative path
</dd></dl>
</p></div></div><a class="anchor" name="obj181362028"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KServiceGroup.Ptr root</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the root service group.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the root service group
</dd></dl>
</p></div></div><a class="anchor" name="obj181580204"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KService.List serviceEntries</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KServiceGroup.EntriesOptions&nbsp;</td>
<td class="paramname"><em>options=KServiceGroup.ExcludeNoDisplay</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>entries of this service group
</p></div></div><a class="anchor" name="obj181482924"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setAllowInline</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>_b</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj179391788"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setInlineAlias</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>_b</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj178871884"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setInlineValue</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>_val</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj189135404"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setLayoutInfo</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td>
<td class="paramname"><em>layout</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd>
Sets information related to the layout of services in this group.
</dd></dl>
</p></div></div><a class="anchor" name="obj177983212"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setShowEmptyMenu</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>b</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj178829548"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setShowInlineHeader</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>_b</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj177974508"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool showEmptyMenu</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Return true if we want to display empty menu entry
<dl class="return" compact><dt><b>Returns:</b></dt><dd> true to show this service group as menu entry is empty, false to hide it
</dd></dl>
</p></div></div><a class="anchor" name="obj178827724"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool showInlineHeader</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> true to show an inline header into menu
</dd></dl>
</p></div></div><a class="anchor" name="obj184719820"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> suppressGenericNames</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns a list of untranslated generic names that should be
be suppressed when showing this group.
E.g. The group "Games/Arcade" might want to suppress the generic name
"Arcade Game" since it's redundant in this particular context.
</p></div></div><hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj189780716"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">EntriesOption</td>
</tr>
</table>
</div>
<div class="memdoc"><p>options for groupEntries and serviceEntries
</p><dl compact><dt><b>Note:</b></dt><dd>It is necessary to wrap members of this enumeration in a <code>EntriesOptions</code> instance when passing them to a method as group of flags. For example: <code>EntriesOptions( NoOptions | SortEntries)</code></dd></dl><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>NoOptions</em>&nbsp;=&nbsp;0x0</td><td><tr><td valign="top"><em>SortEntries</em>&nbsp;=&nbsp;0x1</td><td><tr><td valign="top"><em>ExcludeNoDisplay</em>&nbsp;=&nbsp;0x2</td><td><tr><td valign="top"><em>AllowSeparators</em>&nbsp;=&nbsp;0x4</td><td><tr><td valign="top"><em>SortByGenericName</em>&nbsp;=&nbsp;0x8</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
